Subject: bug#66287: Emacs cannot build by default (macOS)

From: [email-masked]
Date: Sat, 30 Sep 2023 16:46:29 -0700

Here is what I ran:

export CC=clang
./autogen.sh
./configure [options]
make

And I get:

———— Start ————

Warning (emacs): Org version mismatch.  Org loading aborted.
This warning usually appears when a built-in Org version is loaded
prior to the more recent Org version.

Version mismatch is commonly encountered in the following situations:

1. Emacs is loaded using literate Org config and more recent Org
   version is loaded inside the file loaded by ‘org-babel-load-file’.
   ‘org-babel-load-file’ triggers the built-in Org version clashing
   the newer Org version attempt to be loaded later.

   It is recommended to move the Org loading code before the
   ‘org-babel-load-file’ call.

2. New Org version is loaded manually by setting ‘load-path’, but some
   other package depending on Org is loaded before the ‘load-path’ is
   configured.
   This "other package" is triggering built-in Org version, again
   causing the version mismatch.

   It is recommended to set ‘load-path’ as early in the config as
   possible.

3. New Org version is loaded using straight.el package manager and
   other package depending on Org is loaded before straight triggers
   loading of the newer Org version.

   It is recommended to put

    (straight-use-package 'org)

   early in the config.  Ideally, right after the straight.el
   bootstrap.  Moving ‘use-package’ :straight declaration may not be
   sufficient if the corresponding ‘use-package’ statement is
   deferring the loading.

Error: error ("gnus/gnus-icalendar.el" "Org version mismatch.  Make sure that correct ‘load-path’ is set early in init.el")
  mapbacktrace(#f(compiled-function (evald func args flags) #<bytecode -0xcc2590e78512f81>))
  debug-early-backtrace()
  debug-early(error (error "gnus/gnus-icalendar.el" "Org version mismatch.  Make sure that correct ‘load-path’ is set early in init.el"))
  signal(error ("gnus/gnus-icalendar.el" "Org version mismatch.  Make sure that correct ‘load-path’ is set early in init.el"))
  comp--native-compile("gnus/gnus-icalendar.el")
  batch-native-compile(t)
  command-line-1(("--eval" "(setq load-prefer-newer t byte-compile-warnings 'all)" "-l" "comp" "-f" "byte-compile-refresh-preloaded" "--eval" "(batch-native-compile t)" "gnus/gnus-icalendar.el"))
  command-line()
  normal-top-level()
gnus/gnus-icalendar.el: "Org version mismatch.  Make sure that correct ‘load-path’ is set early in init.el”

———— End ————

In the past, I’ve built with no issues. I recently upgraded to MacOS 14 and am building to get rid of issue from bug 66245. Running ‘make bootstrap’ caused it to build correctly.